Bug 1575142 - Review Request: python-ansible-runner - Tool to interface with ansible
Summary: Review Request: python-ansible-runner - Tool to interface with ansible
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 28
Hardware: noarch
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 20:59 UTC by Dan Radez
Modified: 2018-05-17 12:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-15 20:47:37 UTC
Type: Bug
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Dan Radez 2018-05-04 20:59:00 UTC
Adding new package ansible-runner from release 1.0.1

Ansible Runner is a tool and python library that helps when interfacing with Ansible from other systems whether through a container image interface, as a standalone tool, or imported into a python project.

https://github.com/ansible/ansible-runner


Review Resources:
https://radez.fedorapeople.org/python-ansible-runner-1.0.1-1.fc27.src.rpm
https://radez.fedorapeople.org/python-ansible-runner.spec

Comment 1 Dan Radez 2018-05-04 21:00:27 UTC
$ rpmlint python-ansible-runner.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 2 Robert-André Mauchin 🐧 2018-05-05 13:08:11 UTC
 - Apache 2.0 is not a valid License shorthand, it should be "ASL 2.0". See the full list here: https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#SoftwareLicenses

 - Not needed:

%clean
rm -rf %{buildroot}


 - Not needed in %install:

rm -rf %{buildroot}


 - For Fedora >= 28, you can use %?python_enable_dependency_generator instead of specify the Requires manually. See https://fedoraproject.org/wiki/Changes/EnablingPythonGenerators. If you plan to use it on EPEL or Fedora < 28, disregard this for now.

 - You could use %{py2_dist and {py3_dist to specify your BR and RR, See https://fedoraproject.org/wiki/Packaging:Python#Requires_and_BuildRequires_with_standardized_names

Comment 3 Dan Radez 2018-05-05 18:46:56 UTC
Thanks for your review Robert-André Mauchin

My hope is to put this in epel alongside ansible so I'll skip the dep generator for now.

I've made the other updates you've requested.
The dist macro didn't work on all the packages so I applied it to the ones that it did work on.

I've re-uploaded the spec and a new src.rpm:
https://radez.fedorapeople.org/python-ansible-runner-1.0.1-1.fc28.src.rpm
https://radez.fedorapeople.org/python-ansible-runner.spec

$ rpmlint python-ansible-runner.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

https://koji.fedoraproject.org/koji/taskinfo?taskID=26795875

Comment 4 Robert-André Mauchin 🐧 2018-05-09 15:58:16 UTC
 - The LICENSE.md disappeared from the archive thus the install fails:

+ cp -pr LICENSE.md /builddir/build/BUILDROOT/python-ansible-runner-1.0.1-1.fc29.x86_64/usr/share/doc/python2-ansible-runner
BUILDSTDERR: cp: cannot stat 'LICENSE.md': No such file or directory

- The archive provided in the SRPM and the one downloaded from https://files.pythonhosted.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.tar.gz are different, they must be the same.

Comment 5 Dan Radez 2018-05-09 16:29:12 UTC
I did roll a tarball from the github repo to include the LICENSE file.
ansible-runner's tarball on pythonhosted doesn't include the LICENSE file. I'm in contact with them to fix that.

I've pointed the src tarball to github for the time being since that includes the license file.

I also noticed that there doesn't appear to be python3 support. The tests were failing on importing "thread" which I think it py2 specific. I've pulled out the python3 sub package for now and will ask the ansible-runnner folks about it when I talk to them again.

Spec and src.rpm reuploaded:
https://radez.fedorapeople.org/python-ansible-runner-1.0.1-1.fc28.src.rpm
https://radez.fedorapeople.org/python-ansible-runner.spec

$ rpmlint python-ansible-runner.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

https://koji.fedoraproject.org/koji/taskinfo?taskID=26859212

Comment 6 Robert-André Mauchin 🐧 2018-05-09 16:44:37 UTC
 - Use a more meaningful name for the archive:

Source0:        https://github.com/ansible/%{pypi_name}/archive/%{version}/%{pypi_name}-%{version}.tar.gz

 - Should be python2-devel:

BuildRequires:  python-devel

 - You must include the license with %license, not %doc:

%license LICENSE.md

 - %description -n python2-%{pypi_name} is empty


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package contains BR: python2-devel or python3-devel
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE.md is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)", "Unknown or generated", "*No copyright*
     Apache (v2.0)". 24 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/python-ansible-runner
     /review-python-ansible-runner/licensecheck.txt
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/python2.7/site-
     packages/test(python2-neomodel)
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-ansible-runner-1.0.1-1.fc29.noarch.rpm
          python-ansible-runner-1.0.1-1.fc29.src.rpm
python2-ansible-runner.noarch: E: no-description-tag
python2-ansible-runner.noarch: W: no-manual-page-for-binary ansible-runner
python2-ansible-runner.noarch: W: no-manual-page-for-binary ansible-runner-2
python2-ansible-runner.noarch: W: no-manual-page-for-binary ansible-runner-2.7
2 packages and 0 specfiles checked; 1 errors, 3 warnings.

Comment 7 Dan Radez 2018-05-09 19:00:29 UTC
Source, BR, %license and %description all updated

Spec and src.rpm reuploaded:
https://radez.fedorapeople.org/python-ansible-runner-1.0.1-1.fc28.src.rpm
https://radez.fedorapeople.org/python-ansible-runner.spec

I don't see any man pages for ansible-runner. I'll also report this back to ansible-runner team.

Comment 8 Robert-André Mauchin 🐧 2018-05-09 19:32:54 UTC
Package approved.

Comment 9 Gwyn Ciesla 2018-05-10 12:46:25 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-ansible-runner

Comment 10 Fedora Update System 2018-05-10 13:20:02 UTC
python-ansible-runner-1.0.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b1341ccd1c

Comment 11 Fedora Update System 2018-05-11 02:00:36 UTC
python-ansible-runner-1.0.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b1341ccd1c

Comment 12 Fedora Update System 2018-05-11 15:51:59 UTC
python-ansible-runner-1.0.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-5187aa95dd

Comment 13 Fedora Update System 2018-05-12 20:23:11 UTC
python-ansible-runner-1.0.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-5187aa95dd

Comment 14 Fedora Update System 2018-05-15 20:47:37 UTC
python-ansible-runner-1.0.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-05-17 12:48:57 UTC
python-ansible-runner-1.0.1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.